# Mass Edit a Manual Price List Items Performs a mass update operation on products in the specified Manual Price List. Endpoint: POST /manualpricelistmanager.massedit/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the Manual Price List whose products you want to update. ## Request fields (application/json): - `data` (object, required) - `data.filterCriteria` (object, required) - `data.filterCriteria._constructor` (string, required) - `data.filterCriteria.operator` (string, required) - `data.filterCriteria.criteria` (array, required) - `data.filterCriteria.criteria.fieldName` (string, required) - `data.filterCriteria.criteria.value` (array, required) Specify ids of the items you want to update. - `data.massEditRecords` (array, required) - `data.massEditRecords.fieldName` (string, required) The name of the field you want to update. - `data.massEditRecords.massEditOperator` (string, required) Can be either one of these valid operators: + - * If omitted, the provided value is set (= operator). Otherwise the specified operation is applied. - `data.massEditRecords.fieldValue` (string, required) The new value of the field. If omitted, the field is set to null. - `data.massEditRecords.precision` (any) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) A single item array with a string that represents the number of rows changed. - `response.status` (number)